Method: projects.locations.instances.mirrors.create

Creates a new mirror in a given instance.

HTTP request

POST https://lustre.googleapis.com/v1/{parent=projects/*/locations/*/instances/*}/mirrors

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent instance resource where the mirror will be created, in the format: projects/{project}/locations/{location}/instances/{instance}

Query parameters

Parameters
mirrorId

string

Required. The ID to use for the mirror.

  • Must contain only lowercase letters, numbers, and hyphens.
  • Must start with a letter.
  • Must be between 1-63 characters.
  • Must end with a number or a letter.

The ID cannot be changed after the mirror is created.

requestId

string

Optional. The unique ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server guarantees that a request doesn't result in creation of duplicate mirrors for at least 60 minutes.

For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate mirrors.

The request ID must be a valid UUID version 4 with the exception that zero UUID is not supported: 00000000-0000-0000-0000-000000000000. This request is only idempotent if a requestId is provided.

Request body

The request body contains an instance of Mirror.

Response body

If successful, the response body contains a newly created instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • lustre.mirrors.create

For more information, see the IAM documentation.